%perl_module Crypt-OpenSSL-Bignum 0.03 3

Summary:       OpenSSL's multiprecision integer arithmetic.
License:       Artistic
Group:         System Environment/Libraries
URL:           http://search.cpan.org/dist/%{pkgname}/
Source:        http://search.cpan.org/CPAN/authors/id/I/IR/IROBERTS/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: openssl-devel, krb5-devel

%description
Crypt::OpenSSL::Bignum is an XS perl module designed to provide basic
access to the OpenSSL multiprecision integer arithmetic libraries.
Presently, many though not all of the arithmetic operations that
OpenSSL provides are exposed to perl.  In addition, this module can be
used to provide access to bignum values produced by other OpenSSL
modules, such as key parameters from Crypt::OpenSSL::RSA.  This module
requires that the OpenSSL libraries and header files be installed.


%prep
%setup -q -n %{pkgname}-%{version} 

%build
%perl_configure INC=-I/usr/kerberos/include
cat Makefile
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorarch}/Crypt/OpenSSL/Bignum.pm
%{perl_vendorarch}/Crypt/OpenSSL/Bignum
%{perl_vendorarch}/auto/Crypt/OpenSSL/Bignum/Bignum.so
%{perl_man3dir}/Crypt::OpenSSL::Bignum.3pm*
%{perl_man3dir}/Crypt::OpenSSL::Bignum::*.3pm*


%changelog
* Fri Sep 16 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
